> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a UCP token

> Issue a settlement token for a specified recipient and amount. The token is JWS-signed and contains the settlement instructions. Use `POST /settle` to execute.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ucp/tokens
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/ucp/tokens:
    post:
      tags:
        - UCP
      summary: Create a UCP token
      description: >-
        Issue a settlement token for a specified recipient and amount. The token
        is JWS-signed and contains the settlement instructions. Use `POST
        /settle` to execute.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UCPTokenRequest'
      responses:
        '201':
          description: Token issued
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/UCPToken'
                required:
                  - data
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
        '403':
          description: Spending policy rejected
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    UCPTokenRequest:
      type: object
      properties:
        corridor:
          type: string
          enum:
            - pix
            - spei
            - auto
          default: auto
        amount:
          type: number
          exclusiveMinimum: 0
          maximum: 100000
        currency:
          type: string
          enum:
            - USD
            - USDC
        recipient:
          $ref: '#/components/schemas/UCPRecipient'
        metadata:
          type: object
          additionalProperties: {}
        defer_settlement:
          type: boolean
          default: false
      required:
        - amount
        - currency
        - recipient
    UCPToken:
      type: object
      properties:
        id:
          type: string
        token:
          type: string
          description: JWS-signed UCP token
        amount:
          type: number
        currency:
          type: string
          enum:
            - USD
            - USDC
        corridor:
          type: string
          enum:
            - pix
            - spei
            - auto
        recipient:
          $ref: '#/components/schemas/UCPRecipient'
        status:
          type: string
          enum:
            - pending
            - settled
            - expired
            - cancelled
        expires_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
      required:
        - id
        - token
        - amount
        - currency
        - corridor
        - recipient
        - status
        - expires_at
        - created_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
    UCPRecipient:
      oneOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - pix
            pix_key:
              type: string
              minLength: 1
              maxLength: 77
            pix_key_type:
              type: string
              enum:
                - cpf
                - cnpj
                - email
                - phone
                - evp
            name:
              type: string
              minLength: 1
              maxLength: 200
            tax_id:
              type: string
          required:
            - type
            - pix_key
            - pix_key_type
            - name
        - type: object
          properties:
            type:
              type: string
              enum:
                - spei
            clabe:
              type: string
              pattern: ^[0-9]{18}$
            name:
              type: string
              minLength: 1
              maxLength: 200
            rfc:
              type: string
          required:
            - type
            - clabe
            - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````